<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions targetNamespace="http://ws.api.report.dslo.assia.com" 
	xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
	xmlns:ns="http://ws.api.report.dslo.assia.com" 
	xmlns:ax253="http://model.napi.dslo.assia.com/xsd" 
	xmlns:xs="http://www.w3.org/2001/XMLSchema" 
	xmlns:ns1="http://org.apache.axis2/xsd" 
	xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" 
	xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" 
	xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" 
	xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" 
	xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl">
	<wsdl:documentation>pe_data</wsdl:documentation>
	<wsdl:types>
		<xs:schema attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://ws.api.report.dslo.assia.com" 
			xmlns:ax254="http://model.napi.dslo.assia.com/xsd">
			<xs:import namespace="http://model.napi.dslo.assia.com/xsd"/>
			<xs:element name="getMessageBundle">
				<xs:complexType>
					<xs:sequence>
						<xs:element minOccurs="0" name="reportID" nillable="true" type="xs:string"/>
						<xs:element minOccurs="0" name="key" nillable="true" type="ax254:KeyBean"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="getMessageBundleResponse">
				<xs:complexType>
					<xs:sequence>
						<xs:element minOccurs="0" name="return" nillable="true" type="ax254:ResponseDataBean"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="getData">
				<xs:complexType>
					<xs:sequence>
						<xs:element minOccurs="0" name="reportID" nillable="true" type="xs:string"/>
						<xs:element minOccurs="0" name="key" nillable="true" type="ax254:KeyBean"/>
						<xs:element minOccurs="0" name="dateInfo" nillable="true" type="ax254:DateBean"/>
						<xs:element maxOccurs="unbounded" minOccurs="0" name="parameters" nillable="true" type="ax254:ParameterBean"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="getDataResponse">
				<xs:complexType>
					<xs:sequence>
						<xs:element minOccurs="0" name="return" nillable="true" type="ax254:ResponseDataBean"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="getAvailableReports">
				<xs:complexType>
					<xs:sequence/>
				</xs:complexType>
			</xs:element>
			<xs:element name="getAvailableReportsResponse">
				<xs:complexType>
					<xs:sequence>
						<xs:element minOccurs="0" name="return" nillable="true" type="ax254:ResponseDataBean"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="getAvailableFields">
				<xs:complexType>
					<xs:sequence>
						<xs:element minOccurs="0" name="reportID" nillable="true" type="xs:string"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="getAvailableFieldsResponse">
				<xs:complexType>
					<xs:sequence>
						<xs:element minOccurs="0" name="return" nillable="true" type="ax254:ResponseDataBean"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="getAvailableDates">
				<xs:complexType>
					<xs:sequence>
						<xs:element minOccurs="0" name="reportID" nillable="true" type="xs:string"/>
						<xs:element minOccurs="0" name="key" nillable="true" type="ax254:KeyBean"/>
						<xs:element minOccurs="0" name="dateInfo" nillable="true" type="ax254:DateBean"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="getAvailableDatesResponse">
				<xs:complexType>
					<xs:sequence>
						<xs:element minOccurs="0" name="return" nillable="true" type="ax254:ResponseDataBean"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
		</xs:schema>
		<xs:schema attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://model.napi.dslo.assia.com/xsd">
			<xs:complexType name="KeyBean">
				<xs:sequence>
					<xs:element minOccurs="0" name="type" nillable="true" type="xs:string"/>
					<xs:element minOccurs="0" name="value" nillable="true" type="xs:string"/>
				</xs:sequence>
			</xs:complexType>
			<xs:complexType name="ResponseDataBean">
				<xs:sequence>
					<xs:element maxOccurs="unbounded" minOccurs="0" name="entries" nillable="true" type="ax253:ResponseDataEntry"/>
					<xs:element maxOccurs="unbounded" minOccurs="0" name="fieldNames" nillable="true" type="xs:string"/>
					<xs:element minOccurs="0" name="message" nillable="true" type="xs:string"/>
					<xs:element minOccurs="0" name="statusCode" type="xs:int"/>
				</xs:sequence>
			</xs:complexType>
			<xs:complexType name="ResponseDataEntry">
				<xs:sequence>
					<xs:element maxOccurs="unbounded" minOccurs="0" name="values" nillable="true" type="ax253:ValueMappingBean"/>
				</xs:sequence>
			</xs:complexType>
			<xs:complexType name="ValueMappingBean">
				<xs:sequence>
					<xs:element minOccurs="0" name="key" nillable="true" type="xs:string"/>
					<xs:element minOccurs="0" name="value" nillable="true" type="xs:string"/>
				</xs:sequence>
			</xs:complexType>
			<xs:complexType name="DateBean">
				<xs:sequence>
					<xs:element minOccurs="0" name="endDate" nillable="true" type="xs:string"/>
					<xs:element minOccurs="0" name="numDataSamples" type="xs:int"/>
					<xs:element minOccurs="0" name="startDate" nillable="true" type="xs:string"/>
				</xs:sequence>
			</xs:complexType>
			<xs:complexType name="ParameterBean">
				<xs:sequence>
					<xs:element minOccurs="0" name="type" nillable="true" type="xs:string"/>
					<xs:element minOccurs="0" name="value" nillable="true" type="xs:string"/>
				</xs:sequence>
			</xs:complexType>
		</xs:schema>
	</wsdl:types>
	<wsdl:message name="getAvailableDatesRequest">
		<wsdl:part name="parameters" element="ns:getAvailableDates"/>
	</wsdl:message>
	<wsdl:message name="getAvailableDatesResponse">
		<wsdl:part name="parameters" element="ns:getAvailableDatesResponse"/>
	</wsdl:message>
	<wsdl:message name="getAvailableReportsRequest">
		<wsdl:part name="parameters" element="ns:getAvailableReports"/>
	</wsdl:message>
	<wsdl:message name="getAvailableReportsResponse">
		<wsdl:part name="parameters" element="ns:getAvailableReportsResponse"/>
	</wsdl:message>
	<wsdl:message name="getMessageBundleRequest">
		<wsdl:part name="parameters" element="ns:getMessageBundle"/>
	</wsdl:message>
	<wsdl:message name="getMessageBundleResponse">
		<wsdl:part name="parameters" element="ns:getMessageBundleResponse"/>
	</wsdl:message>
	<wsdl:message name="getDataRequest">
		<wsdl:part name="parameters" element="ns:getData"/>
	</wsdl:message>
	<wsdl:message name="getDataResponse">
		<wsdl:part name="parameters" element="ns:getDataResponse"/>
	</wsdl:message>
	<wsdl:message name="getAvailableFieldsRequest">
		<wsdl:part name="parameters" element="ns:getAvailableFields"/>
	</wsdl:message>
	<wsdl:message name="getAvailableFieldsResponse">
		<wsdl:part name="parameters" element="ns:getAvailableFieldsResponse"/>
	</wsdl:message>
	<wsdl:portType name="pe_dataPortType">
		<wsdl:operation name="getAvailableDates">
			<wsdl:input message="ns:getAvailableDatesRequest" wsaw:Action="urn:getAvailableDates"/>
			<wsdl:output message="ns:getAvailableDatesResponse" wsaw:Action="urn:getAvailableDatesResponse"/>
		</wsdl:operation>
		<wsdl:operation name="getAvailableReports">
			<wsdl:input message="ns:getAvailableReportsRequest" wsaw:Action="urn:getAvailableReports"/>
			<wsdl:output message="ns:getAvailableReportsResponse" wsaw:Action="urn:getAvailableReportsResponse"/>
		</wsdl:operation>
		<wsdl:operation name="getMessageBundle">
			<wsdl:input message="ns:getMessageBundleRequest" wsaw:Action="urn:getMessageBundle"/>
			<wsdl:output message="ns:getMessageBundleResponse" wsaw:Action="urn:getMessageBundleResponse"/>
		</wsdl:operation>
		<wsdl:operation name="getData">
			<wsdl:input message="ns:getDataRequest" wsaw:Action="urn:getData"/>
			<wsdl:output message="ns:getDataResponse" wsaw:Action="urn:getDataResponse"/>
		</wsdl:operation>
		<wsdl:operation name="getAvailableFields">
			<wsdl:input message="ns:getAvailableFieldsRequest" wsaw:Action="urn:getAvailableFields"/>
			<wsdl:output message="ns:getAvailableFieldsResponse" wsaw:Action="urn:getAvailableFieldsResponse"/>
		</wsdl:operation>
	</wsdl:portType>
	<wsdl:binding name="pe_dataSoap11Binding" type="ns:pe_dataPortType">
		<soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
		<wsdl:operation name="getAvailableDates">
			<soap:operation soapAction="urn:getAvailableDates" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getAvailableReports">
			<soap:operation soapAction="urn:getAvailableReports" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getMessageBundle">
			<soap:operation soapAction="urn:getMessageBundle" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getData">
			<soap:operation soapAction="urn:getData" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getAvailableFields">
			<soap:operation soapAction="urn:getAvailableFields" style="document"/>
			<wsdl:input>
				<soap:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
	</wsdl:binding>
	<wsdl:binding name="pe_dataSoap12Binding" type="ns:pe_dataPortType">
		<soap12:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
		<wsdl:operation name="getAvailableDates">
			<soap12:operation soapAction="urn:getAvailableDates" style="document"/>
			<wsdl:input>
				<soap12:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap12:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getAvailableReports">
			<soap12:operation soapAction="urn:getAvailableReports" style="document"/>
			<wsdl:input>
				<soap12:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap12:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getMessageBundle">
			<soap12:operation soapAction="urn:getMessageBundle" style="document"/>
			<wsdl:input>
				<soap12:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap12:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getData">
			<soap12:operation soapAction="urn:getData" style="document"/>
			<wsdl:input>
				<soap12:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap12:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getAvailableFields">
			<soap12:operation soapAction="urn:getAvailableFields" style="document"/>
			<wsdl:input>
				<soap12:body use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap12:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
	</wsdl:binding>
	<wsdl:binding name="pe_dataHttpBinding" type="ns:pe_dataPortType">
		<http:binding verb="POST"/>
		<wsdl:operation name="getAvailableDates">
			<http:operation location="getAvailableDates"/>
			<wsdl:input>
				<mime:content type="application/xml" part="parameters"/>
			</wsdl:input>
			<wsdl:output>
				<mime:content type="application/xml" part="parameters"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getAvailableReports">
			<http:operation location="getAvailableReports"/>
			<wsdl:input>
				<mime:content type="application/xml" part="parameters"/>
			</wsdl:input>
			<wsdl:output>
				<mime:content type="application/xml" part="parameters"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getMessageBundle">
			<http:operation location="getMessageBundle"/>
			<wsdl:input>
				<mime:content type="application/xml" part="parameters"/>
			</wsdl:input>
			<wsdl:output>
				<mime:content type="application/xml" part="parameters"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getData">
			<http:operation location="getData"/>
			<wsdl:input>
				<mime:content type="application/xml" part="parameters"/>
			</wsdl:input>
			<wsdl:output>
				<mime:content type="application/xml" part="parameters"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getAvailableFields">
			<http:operation location="getAvailableFields"/>
			<wsdl:input>
				<mime:content type="application/xml" part="parameters"/>
			</wsdl:input>
			<wsdl:output>
				<mime:content type="application/xml" part="parameters"/>
			</wsdl:output>
		</wsdl:operation>
	</wsdl:binding>
	<wsdl:service name="pe_data">
		<wsdl:port name="pe_dataHttpSoap11Endpoint" binding="ns:pe_dataSoap11Binding">
			<soap:address location="http://172.28.13.121:8080/expresse/services/pe_data.pe_dataHttpSoap11Endpoint/"/>
		</wsdl:port>
		<wsdl:port name="pe_dataHttpSoap12Endpoint" binding="ns:pe_dataSoap12Binding">
			<soap12:address location="http://172.28.13.121:8080/expresse/services/pe_data.pe_dataHttpSoap12Endpoint/"/>
		</wsdl:port>
		<wsdl:port name="pe_dataHttpEndpoint" binding="ns:pe_dataHttpBinding">
			<http:address location="http://172.28.13.121:8080/expresse/services/pe_data.pe_dataHttpEndpoint/"/>
		</wsdl:port>
	</wsdl:service>
</wsdl:definitions>